Bug 1126397 - Cannot change zones using firewall-applet
Summary: Cannot change zones using firewall-applet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 10:37 UTC by svillar
Modified: 2015-06-24 16:04 UTC (History)
2 users (show)

Fixed In Version: firewalld-0.3.14.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-24 16:04:42 UTC


Attachments (Terms of Use)

Description svillar 2014-08-04 10:37:41 UTC
Description of problem:
It is no longer possible to change the zone of a connection using the firewall-applet.

Version-Release number of selected component (if applicable):
firewall-applet    0.3.10-1
firewalld          0.3.10-1

How reproducible:
Always

Steps to Reproduce:
1. Click fireall-applet, the list of active connections is shown
2. Click on one of them, a dialog will be shown
3. Change the zone of that particular connection

Actual results:
The zone is not changed. When running in console I can see this error:
Traceback (most recent call last):
  File "/usr/bin/firewall-applet", line 763, in change_zone_connection_editor
    editor.run()
  File "/usr/bin/firewall-applet", line 174, in run
    settings = connection_obj.GetSettings()
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/dist-packages/slip/dbus/proxies.py", line 51, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 7 matched rules; type="method_call", sender=":1.106" (uid=1000 pid=15505 comm="/usr/bin/python -Es /usr/bin/firewall-applet ") interface="(unset)" member="GetSettings" error name="(unset)" requested_reply="0" destination=":1.16" (uid=0 pid=1012 comm="/usr/sbin/NetworkManager --no-daemon ")

Expected results:
The zone is changed

Additional info:
I heard that Fedora is removing at_console from policykit. It was there in firewalld 0.3.9 but it isn't in the policy file anymore. Maybe that's causing the error as NetworkManager is running as root and the applet does not have enough privileges to change the zone. Seems like some authentication is needed?

Comment 1 Jaroslav Reznik 2015-03-03 16:10:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Update System 2015-06-17 12:49:31 UTC
firewalld-0.3.14.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/firewalld-0.3.14.2-1.fc22

Comment 3 Fedora Update System 2015-06-21 00:10:52 UTC
Package firewalld-0.3.14.2-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.14.2-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10297/firewalld-0.3.14.2-2.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-06-24 16:04:42 UTC
firewalld-0.3.14.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.